#
# Conditional build:
%bcond_without	gtk3	# use GTK+3 instead of GTK+2

Summary:	GTK+ interface to XRandR for LXDE desktop
Summary(pl.UTF-8):	Interfejs GTK+ do rozszerzenia XRandR dla środowiska LXDE
Name:		lxrandr
Version:	0.3.2
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	https://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	5101ab29d87fb2b56a5ec5bc8bc3f258
URL:		http://www.lxde.org/
BuildRequires:	gettext-tools
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.12.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A GTK+ interface to XRandR for LXDE desktop.

%description -l pl.UTF-8
Interfejs GTK+ do rozszerzenia XRandR dla środowiska LXDE.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# unify name
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{tt_RU,tt}
# not supported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/frp
# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxrandr
%{_desktopdir}/lxrandr.desktop
%{_mandir}/man1/lxrandr.1*
%changelog
* Sat Jul 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxrandr.git;a=log;h=master

* Tue Apr 23 2024 Marcin Krol <hawk@tld-linux.org> 10f9c85
- build with gtk3 by default

* Sat May 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 53480cb
- updated to 0.3.2

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> f0477a0
- x32 rebuild
- release 4 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 0f4bc9e
- updated gettext BR

* Sat Mar 30 2013 Elan Ruusamäe <glen@delfi.ee> fc46059
- hide from MATE preferences, mate has own display settings

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 8129adc
- rebuild

* Mon Aug 15 2011 lmasko <lmasko@pld-linux.org> e9eab7d
- Locale fix.

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> 64b9025
- up to 0.1.2, gtk3 bcond

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> 3e5b4a6
- more precise urls

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> dd19fb8
- ws cleanup

* Fri Jul 30 2010 sparky <sparky@pld-linux.org> a97aa87
- BR: gettext-devel, pkgconfig
- workaround for broken po/Makefile

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> 8b04757
- new

